For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inBook a demo
GuidesAPI Reference
GuidesAPI Reference
  • API Reference
      • GETGet Job
Logo
Log inBook a demo
API ReferenceJobs

Get Job

GET
https://app.polytomic.com/api/jobs/:type/:id
GET
/api/jobs/:type/:id
$curl https://app.polytomic.com/api/jobs/createmodel/248df4b7-aa70-47b8-a036-33ac447e668d \
> -H "Authorization: Bearer <token>"
1{
2 "data": {
3 "error": "error message",
4 "job_id": "248df4b7-aa70-47b8-a036-33ac447e668d",
5 "result": null,
6 "status": "created",
7 "type": "createmodel"
8 }
9}
Returns the current state of an asynchronous job. This endpoint is used as a polling target by other asynchronous workflows such as model preview and log export. The caller must know the job `type` and `id` that were returned when the job was created. If the job is still running, the response returns `status: running` and may not include a `result` yet. Once complete, `status` becomes `done` or `failed`. Only specific job types are supported by this endpoint. Passing an unknown `type` returns `400`.
Was this page helpful?
Previous

Get Identity

Next

Returns the current state of an asynchronous job.

This endpoint is used as a polling target by other asynchronous workflows such as model preview and log export. The caller must know the job type and id that were returned when the job was created.

If the job is still running, the response returns status: running and may not include a result yet. Once complete, status becomes done or failed.

Only specific job types are supported by this endpoint. Passing an unknown type returns 400.

Authentication

AuthorizationBearer
Bearer user API key
OR
AuthorizationBasic

Basic organization-scoped API key

Path parameters

idstringRequiredformat: "uuid"

Unique identifier of the job (usually returned by whichever endpoint started the job).

typestringRequired

Job type. One of: createmodel, updatemodel, previewmodel, samplemodel, exportlogs, connectionproxy.

Headers

X-Polytomic-VersionstringOptional

Response

OK
dataobject

Errors

400
Bad Request Error
404
Not Found Error
500
Internal Server Error